tt_message_status_string_set(library call)

NAME
tt_message_status_string_set — set a character string with the status attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_status_string_set(
Tt_message m,
const char *status_str);

DESCRIPTION

The tt_message_status_string_set function sets status string of the specified message.

The m argument is the opaque handle for the message involved in this operation. The status_str argument is the status string to be stored in this message.

RETURN VALUE

Upon successful completion, the tt_message_status_string_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The status string should be used by the application developer to amplify on, for example, why the application is failing a message.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_status_set(3).